import Vue from 'vue'
import Router from 'vue-router'

import mainPage from './mainPage/index' // 主页
import indexPage from './mainPage/indexPage/index' // 首页
import fiveA from './fiveA/index' // 5A
import majorProjects from './majorProjects/index' // 项目专题
import majorProjectsDetail from './majorProjectsDetail/index' // 项目专题
import coffeeIndex from './mainPage/coffeeIndex/index' // 城咖啡
import userCenter from './mainPage/userCenter/index' // 个人中心
import bindMobile from './bindMobile/bindMobile' // 绑定手机号

Vue.use(Router)

const router = new Router({
  routes: [{
    path: '/mainPage',
    name: 'mainPage',
    component: mainPage,
    children: [{ // 首页
      path: 'indexPage',
      name: 'indexPage',
      component: indexPage,
      children: []
    },{ // 城咖啡
      path: 'coffeeIndex',
      name: 'coffeeIndex',
      component: coffeeIndex,
      children: []
    },{ // 个人中心
      path: 'userCenter',
      name: 'userCenter',
      component: userCenter,
      children: []
    }]
  },{ // 项目专题
    path: '/majorProjects',
    name: 'majorProjects',
    component: majorProjects,
    children: []
  },{ // 项目专题详情
    path: '/majorProjectsDetail',
    name: 'majorProjectsDetail',
    component: majorProjectsDetail,
    children: []
  },{ // 5A
    path: '/fiveA',
    name: 'fiveA',
    component: fiveA,
    children: []
  },{ // 绑定手机号
    path: '/bindMobile',
    name: 'bindMobile',
    component: bindMobile,
    children: []
  }],
  linkActiveClass: 'active',
})

router.beforeEach((to, from, next) => {
  
  next()
})

export default router
