import Ajax from '../../util/ajax'
import api from '../../util/api'
const http = new Object

// 请求数据
http.getIndexLocation = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.index.location.url, {
      method: api.index.location.method,
      queryData: {
        issys: 0,
        orgid: data
      }
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getBanner = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.banner.url, {
      method: api.index.banner.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getMessage = (data) => {
  return new Promise((resolve, reject) => {
    Ajax(api.index.message.url, {
      method: api.index.message.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getPorject = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.index.project.url, {
      method: api.index.project.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

http.getCms = (data) => {
  console.log(data)
  return new Promise((resolve, reject) => {
    Ajax(api.index.cms.url, {
      method: api.index.cms.method
    }).then(res => {
      resolve(res)
    }).catch((err) => {
      reject(err)
    })
  })
}

export default {
  namespaced: true,
  state: {
    banner: [],
    fiveA: [],
    message: [],
    porject: [],
    cms: []
  },
  mutations: {
    setBanner (state, data) { // 获取首页轮播图
      state.banner = data
    },
    setFiveA (state, data) { // 获取5A
      state.fiveA = data
    },
    setMessage (state, data) { // 获取首页消息
      state.message = data
    },
    setPorject (state, data) { // 获取项目专题
      state.porject = data
    },
    setCms (state, data) { // 获取cms
      state.cms = data
    }
  },
  actions: {
    async getIndexInfo (context, param) { // 首页全部请求
      try {
        let location = await http.getIndexLocation(param.orgId)
        context.commit('setFiveA', location)
        let banner = await http.getBanner(param)
        context.commit('setBanner', banner)
        // let fiveA = await http.getFiveA(param)
        // context.commit('setFiveA', fiveA)
        let message = await http.getBanner(param)
        context.commit('setMessage', message)
        let porject = await http.getBanner(param)
        context.commit('setPorject', porject)
        let cms = await http.getBanner(param)
        context.commit('setCms', cms)
      } catch (err) {
        console.log(err)
      }
    }
  }
}
